org.apache.poi.ss.formula.ptg

## Class GreaterThanPtg

- java.lang.Object
- - org.apache.poi.ss.formula.ptg.Ptg
  - - org.apache.poi.ss.formula.ptg.OperationPtg
    - - org.apache.poi.ss.formula.ptg.ValueOperatorPtg
      - - org.apache.poi.ss.formula.ptg.GreaterThanPtg

- All Implemented Interfaces:
    Duplicatable

      public final class GreaterThanPtg
      extends ValueOperatorPtg

  Greater than operator PTG ">"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static GreaterThanPtg` | `instance`
    `static byte` | `sid`

    - ### Fields inherited from class org.apache.poi.ss.formula.ptg.OperationPtg

      `TYPE_BINARY, TYPE_FUNCTION, TYPE_UNARY`

    - ### Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GreaterThanPtg` | `copy()`
    `int` | `getNumberOfOperands()` Get the number of operands for the Less than operator
    `protected byte` | `getSid()`
    `java.lang.String` | `toFormulaString(java.lang.String[] operands)` Implementation of method from OperationsPtg

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.ValueOperatorPtg

      `getDefaultOperandClass, getSize, isBaseToken, toFormulaString, write`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final byte sid

      See Also:
        Constant Field Values

    - #### instance

          public static final GreaterThanPtg instance

  - ### Method Detail

    - #### getSid

          protected byte getSid()

      Specified by:
        `getSid` in class `ValueOperatorPtg`

    - #### getNumberOfOperands

          public int getNumberOfOperands()

      Get the number of operands for the Less than operator
      Specified by:
        `getNumberOfOperands` in class `OperationPtg`
      Returns:
        int the number of operands

    - #### toFormulaString

          public java.lang.String toFormulaString(java.lang.String[] operands)

      Implementation of method from OperationsPtg
      Specified by:
        `toFormulaString` in class `OperationPtg`
      Parameters:
        `operands` - a String array of operands
      Returns:
        String the Formula as a String
      See Also:
        `OperationPtg.getNumberOfOperands()`

    - #### copy

          public GreaterThanPtg copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `Ptg`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.